classification
Title: remove leftover macos9 support code
Type: behavior Stage: resolved
Components: macOS Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: eric.araujo, ronaldoussoren
Priority: normal Keywords: needs review, patch

Created on 2010-02-11 14:35 by ronaldoussoren, last changed 2011-03-20 13:29 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
remove-platform-mac.txt ronaldoussoren, 2010-02-11 14:34
Messages (6)
msg99209 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-02-11 14:34
The attached patch removes all traces to os.name == 'mac' from the source tree (setup.py and stdlib), that is the leftover traces for MacOS9 support.

A simular patch needs to be created of the 3.x tree.
msg99227 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-02-11 16:20
The reason I'd like a patch review is that it affects a lot of files and want a second pair of eyes to check that I haven't been too agressive.

The patch itself doesn't cause regressions in the unittests.
msg99384 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-02-16 04:47
Hello

Some removals are unfinished, e.g.

-        if platform not in ['mac']:
+        if platform not in []:

→ remove the test and dedent the suite;

-        if platform not in ['mac', 'win32']:
+        if platform not in ['win32']:

→ if platform != 'win32':

Regards
msg105076 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-05-05 19:12
Removed traces of MacOS9 support in r80804 (trunk) and r80805 (3.2)
msg120584 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-06 06:13
FTR, see also #9508.
msg131492 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-20 13:29
I’ve just noticed this problem:

    --- a/Misc/BeOS-setup.py
    +++ b/Misc/BeOS-setup.py
    @@ -356,7 +356,7 @@ class PyBuildExt(build_ext):
                                        libraries = dblib) )
     
             # Unix-only modules
    -        if platform not in ['mac', 'win32']:
    +        if platform == 'win32':

The logic is reversed.  Shall I fix it in all affected branches?
History
Date User Action Args
2011-03-20 13:29:10eric.araujosetnosy: ronaldoussoren, eric.araujo
messages: + msg131492
2010-11-06 06:13:41eric.araujosetmessages: + msg120584
2010-05-05 19:12:46ronaldoussorensetstatus: open -> closed
resolution: fixed
messages: + msg105076

stage: patch review -> resolved
2010-02-16 04:47:25eric.araujosetnosy: + eric.araujo
messages: + msg99384
2010-02-11 16:20:56ronaldoussorensetmessages: + msg99227
2010-02-11 16:19:41ronaldoussorensetkeywords: + needs review
2010-02-11 14:35:24ronaldoussorensetversions: + Python 2.7, Python 3.2
2010-02-11 14:35:06ronaldoussorencreate